dojo.require("dijit.layout.AccordionContainer");
dojo.require("dijit.layout.ContentPane");
dojo.require("dijit.layout.LayoutContainer");

dojo.provide("ibm.psw.wcl.dijit.WDAccordion");

dojo.declare("ibm.psw.wcl.dijit.WDAccordion",
			 dijit.layout.AccordionContainer,
			 {	
			 	templateString:null,
			 	 accordion:null,
				 accordionParams: null,
				 defaultSelectedTab: 1,
				 closable: true,
				 duration: dijit.defaultDuration,
				 accordionWidth: "600px",
				 accordionHeight: "350px",
				 requestTimeout: 30000,
				  
								 
				 postCreate: function (){
				 	//call super
				 	//console.debug("postCreate");
				 	//console.debug(arguments);
					//console.debug(dojo.moduleUrl("WDAccordion","themes/AccordionContainer.css"));
				 	this.initializeAccordionParameters();
				 	this.inherited(arguments);
				 	
				 	
				 	if(this.noOfTabs == undefined){
				 		//create default accordion
				 		this.noOfTabs=this.defaultTabs;
				 	}
				 	
				 	//console.debug("prototype" + dijit.layout._AccordionButton.prototype.baseClass);
				 	//console.debug("children  " + this.getChildren());
					      				
				 },
				 
				 initializeAccordionParameters: function() {
				 
					this.domNode.duration = this.duration;
					
					this.domNode.closable = this.closable;
					
					
					
					if((this.accordionWidth != null) && (this.accordionHeight != null)){
						this.domNode.style.width = this.accordionWidth; 
						this.domNode.style.height = this.accordionHeight;
						this.domNode.style.overflow = "hidden";
					}				
											 
				 },
				 
				 getAccordionParams: function(){
				 	
				 	
				 },
				 getWidthCallBack: function(){
				 	//console.debug("getWidthCallBack");
				 },
				 			 
				layout: function(){
				
					//console.debug("layout: "+ this.getChildren());
					var childrenArr = this.getChildren();
					
					dojo.forEach(childrenArr,function(child){
						//console.debug(child.declaredClass);
						if((child.declaredClass != undefined) &&  (child.declaredClass == 'dijit.layout.ContentPane')){
							//console.debug("content pane:"+ child.domNode);
							dojo.addClass(child.domNode,"dijitContent");
						}
						if((child.declaredClass != undefined) &&  (child.declaredClass.indexOf('Container') != -1 )){
						
							//console.debug("its a container..get child");
							var containerArr = child.getChildren();
							dojo.forEach(containerArr,function(cont_child){
								//console.debug("child of container:" + cont_child.declaredClass);
								if((cont_child.declaredClass != undefined) &&  (cont_child.declaredClass == 'dijit.layout.ContentPane')){
									dojo.addClass(cont_child.domNode,"dijitContent");
								}
								
							});
							
						}
					}
					);
					
					this.inherited("layout",arguments);
				
				}				
				
				 
			 
			 }
			 );
