/*
	Copyright (c) 2004-2009, The Dojo Foundation All Rights Reserved.
	Available via Academic Free License >= 2.1 OR the modified BSD license.
	see: http://dojotoolkit.org/license for details
*/


if(!dojo._hasResource["ibm.psw.wcl.dijit.WDTableRefreshButton"]){ //_hasResource checks added by build. Do not use _hasResource directly in your code.
dojo._hasResource["ibm.psw.wcl.dijit.WDTableRefreshButton"] = true;
/******************************************************* {COPYRIGHT-TOP-OCO} ***
 * Licensed Materials - Property of IBM
 *
 * 5724-C51
 *
 * (C) Copyright IBM Corp. 2008 All Rights Reserved.
 *
 * US Government Users Restricted Rights - Use, duplication, or
 * disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
 ******************************************************* {COPYRIGHT-END-OCO} ***/
dojo.require("dijit.form.Button");
dojo.require("dijit.Tooltip");

// NLS
dojo.requireLocalization("ibm.psw.wcl.dijit", "resources", null, "ROOT,cs,de,en,en-us,es,fr,hu,it,ja,ko,pl,pt-br,ru,zh-cn,zh-tw");

dojo.provide("ibm.psw.wcl.dijit.WDTableRefreshButton");
/******************************************************************************
* Provides Table Refresh button that allows for "busy" animation. 
*
* Authors: Joseph Firebaugh
******************************************************************************/
dojo.declare("ibm.psw.wcl.dijit.WDTableRefreshButton", dijit.form.Button,
{
    baseClass: "wTableRefreshButton",

	templateString:"<div class=\"dijit dijitLeft dijitInline ${baseClass}\"\n\tdojoAttachEvent=\"onclick:_onButtonClick,onmouseenter:_onMouse,onmouseleave:_onMouse,onmousedown:_onMouse\"\n\t><div class='dijitRight'\n\t\t><button class=\"dijitStretch dijitButtonNode dijitButtonContents\" dojoAttachPoint=\"focusNode,titleNode\"\n\t\t\ttype=\"${type}\" waiRole=\"button\" waiState=\"labelledby-${id}_label\"\n\t\t\t><span class=\"dijitInline ${iconClass}\" dojoAttachPoint=\"iconNode\" \n \t\t\t\t><span class=\"dijitToggleButtonIconChar\">&#10003</span \n\t\t\t></span\n\t\t\t><span class=\"dijitButtonText\" id=\"${id}_label\" dojoAttachPoint=\"containerNode\">${label}</span\n\t\t></button\n\t></div\n></div>\n",
    
    postCreate: function()
    {
		var resources = dojo.i18n.getLocalization("ibm.psw.wcl.dijit", "resources");
		this.titleNode.title = resources.REFRESH;
    }
    
});

}
