dojo.provide("ibm.psw.wcl.dijit.WDTablePageRowSpinner");

dojo.require("dijit._Widget");
dojo.require("dijit._Templated");
dojo.require("dijit.form.NumberSpinner");
dojo.require("dojo.parser");
dojo.require("ibm.psw.wcl.dijit.WDImages");
// NLS
dojo.requireLocalization("ibm.psw.wcl.dijit", "resources", null, "ROOT,cs,de,en,en-us,es,fr,hu,it,ja,ko,pl,pt-br,ru,zh-cn,zh-tw");

dojo.declare("ibm.psw.wcl.dijit.WDTablePageRowSpinner",
            [ dijit._Widget, dijit._Templated ],{
				_upArrowIcon: "",
				_downArrowIcon: "",
				pageMax: 0,
				pageMin: 0,
				currentPage: 0,
				rowMax: 0,
				rowMin: 0,
				rowsPerPage: 0,
				resources_: "",
				image_sep: "",
				
				templateString:
						"<table cellspacing=\"0\" cellpadding=\"0\" border=\"0\" width=\"100%\">"+
							"<tr>"+
								"<td align=\"center\" width=\"16%\">"+
									"<span id=\"pageSpan\" for=\"pageSpinner\">"+
										"${PAGE_ROW_SPINNER_LABEL9}"+
									"</span>"+
								"</td>"+
								"<td width=\"20%\">"+
									"<input dojoType=\"dijit.form.NumberSpinner\""+
										"style=\"font-size:8pt; border-top:1px solid black; border-left:1px solid black; width: x-small; text-align: right\""+
										"dojoAttachPoint=\"pageContainer\""+
										"dojoAttachEvent=\"onkeydown:_updatePageSpinner\""+
										"value=\"${currentPage}\""+
										"smallDelta=\"1\""+
										"constraints=\"{min:${pageMin}, max: ${pageMax}, place: 0}\""+
										"id=\"pageSpinner\""+
										"title=\"${PAGE_ROW_SPINNER_LABEL1}${currentPage}${PAGE_ROW_SPINNER_LABEL2}${pageMax}\""+
									"</input>"+
								"</td>"+
								"<td width=\"8%\">"+
									"<span dojoAttachPoint=\"updatePages\">"+
										"/ ${pageMax}"+
									"</span>"+
								"</td>"+
								"<td width=\"10%\">"+
									"<table cellspacing=\"0\" cellpadding=\"0\" border=\"0\">"+
										"<tr>"+
											"<td>"+
												"<img id=\"${id}${PAGE_ROW_SPINNER_LABEL5}\" src=\"${_upArrowIcon}\" alt=\"${PAGE_ROW_SPINNER_LABEL5}\" title=\"${PAGE_ROW_SPINNER_LABEL5}\" height=\"12\" width=\"12\" dojoAttachPoint=\"imagePageUpArrow\" dojoAttachEvent=\"onclick:_onPageUpArrowClick,onmouseover:_onMouseOverPageUpArrow,onmouseout:_onMouseOutPageUpArrow\"/>"+
											"</td>"+
										"</tr>"+
										"<tr>"+
											"<td>"+
												"<img id=\"${id}${PAGE_ROW_SPINNER_LABEL6}\" src=\"${_downArrowIcon}\" alt=\"${PAGE_ROW_SPINNER_LABEL6}\" title=\"${PAGE_ROW_SPINNER_LABEL6}\" height=\"12\" width=\"12\" dojoAttachPoint=\"imagePageDownArrow\" dojoAttachEvent=\"onclick:_onPageDownArrowClick,onmouseover:_onMouseOverPageDownArrow,onmouseout:_onMouseOutPageDownArrow\"/>"+
											"</td>"+
										"</tr>"+
									"</table>"+
								"</td>"+
								"<td width=\"18%\" align=\"center\">"+
									"<span id=\"rowSpan\" for=\"rowSpinner\" width=\"50%\">"+
										"${PAGE_ROW_SPINNER_LABEL4}"+
									"</span>"+
								"</td>"+
								"<td width=\"20%\">"+
									"<input dojoType=\"dijit.form.NumberSpinner\""+
										"style=\"font-size:8pt; border-top:1px solid black; border-left:1px solid black; width: x-small; text-align: right\""+
										"dojoAttachPoint=\"rowContainer\""+
										"dojoAttachEvent=\"onkeydown:_updateRowSpinner\""+
										"value=\"${rowsPerPage}\""+
										"smallDelta=\"1\""+
										"constraints=\"{min:${rowMin}, max: ${rowMax}, place: 0}\""+
										"id=\"rowSpinner\""+
										"title=\"${PAGE_ROW_SPINNER_LABEL3}${rowsPerPage}\""+
									"</input>"+
								"</td>"+
								"<td width=\"6%\">"+
									"<table cellspacing=\"0\" cellpadding=\"0\" border=\"0\">"+
										"<tr>"+
											"<td>"+
												"<img id=\"${id}${PAGE_ROW_SPINNER_LABEL7}\" src=\"${_upArrowIcon}\" alt=\"${PAGE_ROW_SPINNER_LABEL7}\" title=\"${PAGE_ROW_SPINNER_LABEL7}\" height=\"12\" width=\"12\" dojoAttachPoint=\"imageRowUpArrow\" dojoAttachEvent=\"onclick:_onRowUpArrowClick,onmouseover:_onMouseOverRowUpArrow,onmouseout:_onMouseOutRowUpArrow\"/>"+
											"</td>"+
										"</tr>"+
										"<tr>"+
											"<td>"+
												"<img id=\"${id}${PAGE_ROW_SPINNER_LABEL8}\" src=\"${_downArrowIcon}\" alt=\"${PAGE_ROW_SPINNER_LABEL8}\" title=\"${PAGE_ROW_SPINNER_LABEL8}\" height=\"12\" width=\"12\" dojoAttachPoint=\"imageRowDownArrow\" dojoAttachEvent=\"onclick:_onRowDownArrowClick,onmouseover:_onMouseOverRowDownArrow,onmouseout:_onMouseOutRowDownArrow\"/>"+
											"</td>"+
										"</tr>"+
									"</table>"+
								"</td>"+
							"</tr>"+
						"</table>",
				
				constructor: function(){
					//NLS
					this.resources_ = dojo.i18n.getLocalization("ibm.psw.wcl.dijit", "resources");
					this._upArrowIcon = ibm.psw.wcl.dijit.WDImages.get()["IMAGE_UPARROW"];
					this._downArrowIcon = ibm.psw.wcl.dijit.WDImages.get()["IMAGE_DOWNARROW"];
					this.PAGE_ROW_SPINNER_LABEL1 = this.resources_.PAGE_ROW_SPINNER_LABEL1;
					this.PAGE_ROW_SPINNER_LABEL2 = this.resources_.PAGE_ROW_SPINNER_LABEL2;
					this.PAGE_ROW_SPINNER_LABEL3 = this.resources_.PAGE_ROW_SPINNER_LABEL3;
					this.PAGE_ROW_SPINNER_LABEL4 = this.resources_.PAGE_ROW_SPINNER_LABEL4;
					this.PAGE_ROW_SPINNER_LABEL5 = this.resources_.PAGE_ROW_SPINNER_LABEL5;
					this.PAGE_ROW_SPINNER_LABEL6 = this.resources_.PAGE_ROW_SPINNER_LABEL6;
					this.PAGE_ROW_SPINNER_LABEL7 = this.resources_.PAGE_ROW_SPINNER_LABEL7;
					this.PAGE_ROW_SPINNER_LABEL8 = this.resources_.PAGE_ROW_SPINNER_LABEL8;
					this.PAGE_ROW_SPINNER_LABEL9 = this.resources_.PAGE_ROW_SPINNER_LABEL9;
				},
							
				_onPageUpArrowClick: function(){
					window.document.body.style.cursor = "wait";	
					if(this.currentPage < this.pageMax){
						this.pageContainer.value = parseInt(this.currentPage) + 1;
						this.currentPage = parseInt(this.currentPage) + 1;
						this.pageContainer.setAttribute("title", this.resources_.PAGE_ROW_SPINNER_LABEL1 + this.currentPage + this.resources_.PAGE_ROW_SPINNER_LABEL2 + this.pageMax);
						this.rowContainer.setAttribute("title", this.resources_.PAGE_ROW_SPINNER_LABEL3 + this.rowsPerPage);
					} else {
						if(this.pageContainer.value > this.pageMax){
							this.currentPage = this.pageMax;
							this.pageContainer.value = this.pageMax;
						}
					}
					if(this.pageContainer.value < this.pageMin){
						this.currentPage = this.pageMin;
						this.pageContainer.value = this.pageMin;
					}
				},
				
				_onPageDownArrowClick: function(){
					window.document.body.style.cursor = "wait";	
					if(this.currentPage > this.pageMin){
						this.pageContainer.value = parseInt(this.currentPage) - 1;
						this.currentPage = parseInt(this.currentPage) - 1;
						this.pageContainer.setAttribute("title", this.resources_.PAGE_ROW_SPINNER_LABEL1 + this.currentPage + this.resources_.PAGE_ROW_SPINNER_LABEL2 + this.pageMax);
						this.rowContainer.setAttribute("title", this.resources_.PAGE_ROW_SPINNER_LABEL3 + this.rowsPerPage);
					} else {
						if(this.pageContainer.value < this.pageMin){
							this.currentPage = this.pageMin;
							this.pageContainer.value = this.pageMin;
						}
					}
					if(this.pageContainer.value > this.pageMax){
						this.currentPage = this.pageMax;
						this.pageContainer.value = this.pageMax;
					}
				},						
							
				_onRowUpArrowClick: function(){
					window.document.body.style.cursor = "wait";	
					if(this.rowsPerPage < this.rowMax){
						this.rowContainer.value = parseInt(this.rowsPerPage) + 1;
						this.rowsPerPage = parseInt(this.rowsPerPage) + 1;
						if(this.rowsPerPage == 0){
							this.pageMax = 1;
						} else {
							this.pageMax = Math.ceil(this.rowMax/this.rowsPerPage);
						}
						this.updatePages.innerHTML = "/ " + this.pageMax;
						this.rowContainer.setAttribute("title", this.resources_.PAGE_ROW_SPINNER_LABEL3 + this.rowsPerPage);
						this.pageContainer.setAttribute("title", this.resources_.PAGE_ROW_SPINNER_LABEL1 + this.currentPage + this.resources_.PAGE_ROW_SPINNER_LABEL2 + this.pageMax);
					} else {
						if(this.rowContainer.value > this.rowMax){
							this.rowsPerPage = this.rowMax;
							this.rowContainer.value = this.rowMax;
						}
					} 
					if(this.rowContainer.value < this.rowMin){
						this.rowsPerPage = this.rowMin;
						this.rowContainer.value = this.rowMin;
					}
					if(this.rowsPerPage == this.rowMax)
						this.imageRowUpArrow.style.opacity = 0.2;
					else
						this.imageRowUpArrow.style.opacity = 1;
					if(this.rowsPerPage == this.rowMin)
						this.imageRowDownArrow.style.opacity = 0.2;
					else
						this.imageRowDownArrow.style.opacity = 1;
				},
				
				_onRowDownArrowClick: function(){
					window.document.body.style.cursor = "wait";	
					if(this.rowsPerPage > this.rowMin){
						this.rowContainer.value = parseInt(this.rowsPerPage) - 1;
						this.rowsPerPage = parseInt(this.rowsPerPage) - 1;
						if(this.rowsPerPage == 0){
							this.pageMax = 1;
						} else {
							this.pageMax = Math.ceil(this.rowMax/this.rowsPerPage);
						}
						this.updatePages.innerHTML = "/ " + this.pageMax;
						this.rowContainer.setAttribute("title", this.resources_.PAGE_ROW_SPINNER_LABEL3 + this.rowsPerPage);
						this.pageContainer.setAttribute("title", this.resources_.PAGE_ROW_SPINNER_LABEL1 + this.currentPage + this.resources_.PAGE_ROW_SPINNER_LABEL2 + this.pageMax);
					} else {
						if(this.rowContainer.value < this.rowMin){
							this.rowsPerPage = this.rowMin;
							this.rowContainer.value = this.rowMin;
						}
					}
					if (this.rowContainer.value > this.rowMax){
						this.rowsPerPage = this.rowMax;
						this.rowContainer.value = this.rowMax;
					}
					if(this.rowsPerPage == this.rowMax)
						this.imageRowUpArrow.style.opacity = 0.2;
					else
						this.imageRowUpArrow.style.opacity = 1;
					if(this.rowsPerPage == this.rowMin)
						this.imageRowDownArrow.style.opacity = 0.2;
					else
						this.imageRowDownArrow.style.opacity = 1;
				},
				
				_onMouseOverPageUpArrow: function(){
					dojo.removeClass( this.imagePageUpArrow, "out" );
					dojo.addClass( this.imagePageUpArrow, "over"  );
				},
				
				_onMouseOutPageUpArrow: function(){
					dojo.removeClass( this.imagePageUpArrow, "over" );
					dojo.addClass( this.imagePageUpArrow, "out"  );
				},
				
				_onMouseOverPageDownArrow: function(){
					dojo.removeClass( this.imagePageDownArrow, "out" );
					dojo.addClass( this.imagePageDownArrow, "over"  );
				},
				
				_onMouseOutPageDownArrow: function(){
					dojo.removeClass( this.imagePageDownArrow, "over" );
					dojo.addClass( this.imagePageDownArrow, "out"  );
				},
				
				_onMouseOverRowUpArrow: function(){
					dojo.removeClass( this.imageRowUpArrow, "out" );
					dojo.addClass( this.imageRowUpArrow, "over"  );
				},
				
				_onMouseOutRowUpArrow: function(){
					dojo.removeClass( this.imageRowUpArrow, "over" );
					dojo.addClass( this.imageRowUpArrow, "out"  );
				},
				
				_onMouseOverRowDownArrow: function(){
					dojo.removeClass( this.imageRowDownArrow, "out" );
					dojo.addClass( this.imageRowDownArrow, "over"  );
				},
				
				_onMouseOutRowDownArrow: function(){
					dojo.removeClass( this.imageRowDownArrow, "over" );
					dojo.addClass( this.imageRowDownArrow, "out"  );
				},

				_updatePageSpinner: function(e){
					if(window.event){
						var keyNum = e.keyCode;
					} else if(e.which){
						var keyNum = e.which;
					}
					if(keyNum == "13"){
						window.document.body.style.cursor = "wait";	
						if(this.pageContainer.value >= this.pageMin && this.pageContainer.value <= this.pageMax){
							this.currentPage = parseInt(this.pageContainer.value);
							if(this.rowsPerPage == 0){
								this.pageMax = 1;
							} else {
								this.pageMax = Math.ceil(this.rowMax/this.rowsPerPage);
							}
							this.updatePages.innerHTML = "/ " + this.pageMax;
							this.rowContainer.setAttribute("title", this.resources_.PAGE_ROW_SPINNER_LABEL3 + this.rowsPerPage);
							this.pageContainer.setAttribute("title", this.resources_.PAGE_ROW_SPINNER_LABEL1 + this.currentPage + this.resources_.PAGE_ROW_SPINNER_LABEL2 + this.pageMax);
						} else {
							this.pageContainer.value = this.currentPage;
						}
					}
				},
				
				_updateRowSpinner: function(e){
					if(window.event){
						var keyNum = e.keyCode;
					} else if(e.which){
						var keyNum = e.which;
					}
					if(keyNum == "13"){
						window.document.body.style.cursor = "wait";	
						if(this.rowContainer.value >= this.rowMin && this.rowContainer.value <= this.rowMax){
							this.rowsPerPage = parseInt(this.rowContainer.value);
							if(this.rowsPerPage == 0){
								this.pageMax = 1;
							} else {
								this.pageMax = Math.ceil(this.rowMax/this.rowsPerPage);
							}
							this.updatePages.innerHTML = "/ " + this.pageMax;
							this.rowContainer.setAttribute("title", this.resources_.PAGE_ROW_SPINNER_LABEL3 + this.rowsPerPage);
							this.pageContainer.setAttribute("title", this.resources_.PAGE_ROW_SPINNER_LABEL1 + this.currentPage + this.resources_.PAGE_ROW_SPINNER_LABEL2 + this.pageMax);
						} else {
							this.rowContainer.value = this.rowsPerPage;
						}
						if(this.rowsPerPage == this.rowMax)
							this.imageRowUpArrow.style.opacity = 0.2;
						else
							this.imageRowUpArrow.style.opacity = 1;
						if(this.rowsPerPage == this.rowMin)
							this.imageRowDownArrow.style.opacity = 0.2;
						else
							this.imageRowDownArrow.style.opacity = 1;
					}
				},
				
				getCurrentPage: function(){
					return this.currentPage;
				},
				
				getRowsPerPage: function(){
					return this.rowsPerPage;
				},
				
				getRowMax: function(){
					return this.rowMax;
				},
				
				setRowsPerPage: function(rowsPerPage){
					this.rowsPerPage = rowsPerPage;
					this.rowContainer.value = rowsPerPage;
					if(this.rowsPerPage == 0){
						this.rowMax = 0;
					}
				},
				
				setCurrentPage: function(currentPage){
					this.currentPage = currentPage;
					this.pageContainer.value = currentPage;
					this.rowContainer.setAttribute("title", this.resources_.PAGE_ROW_SPINNER_LABEL3 + this.rowsPerPage);
					this.pageContainer.setAttribute("title", this.resources_.PAGE_ROW_SPINNER_LABEL1 + this.currentPage + this.resources_.PAGE_ROW_SPINNER_LABEL2 + this.pageMax);
					this.updatePages.innerHTML = "/ " + this.pageMax;
				},
				
				setPageMax: function(pageMax){
					this.pageMax = pageMax;
					this.rowContainer.setAttribute("title", this.resources_.PAGE_ROW_SPINNER_LABEL3 + this.rowsPerPage);
					this.pageContainer.setAttribute("title", this.resources_.PAGE_ROW_SPINNER_LABEL1 + this.currentPage + this.resources_.PAGE_ROW_SPINNER_LABEL2 + this.pageMax);
					this.updatePages.innerHTML = "/ " + this.pageMax;
				},
				
				setRowMax: function(rowMax){
					this.rowMax = rowMax;
					if(this.rowsPerPage == 0){
						this.pageMax = 1;
					} else {
						this.pageMax = Math.ceil(this.rowMax/this.rowsPerPage);
					}
					this.rowContainer.setAttribute("title", this.resources_.PAGE_ROW_SPINNER_LABEL3 + this.rowsPerPage);
					this.pageContainer.setAttribute("title", this.resources_.PAGE_ROW_SPINNER_LABEL1 + this.currentPage + this.resources_.PAGE_ROW_SPINNER_LABEL2 + this.pageMax);
					this.updatePages.innerHTML = "/ " + this.pageMax;
				}
			}
		);