/*
	Copyright (c) 2004-2009, The Dojo Foundation All Rights Reserved.
	Available via Academic Free License >= 2.1 OR the modified BSD license.
	see: http://dojotoolkit.org/license for details
*/


if(!dojo._hasResource["ibm.psw.wcl.dijit.WDTableToolbar"]){ //_hasResource checks added by build. Do not use _hasResource directly in your code.
dojo._hasResource["ibm.psw.wcl.dijit.WDTableToolbar"] = true;
/******************************************************* {COPYRIGHT-TOP-OCO} ***
 * Licensed Materials - Property of IBM
 *
 * 5724-C51
 *
 * (C) Copyright IBM Corp. 2007 All Rights Reserved.
 *
 * US Government Users Restricted Rights - Use, duplication, or
 * disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
 ******************************************************* {COPYRIGHT-END-OCO} ***/
dojo.require("dijit._Widget");
dojo.require("dijit._Templated");
dojo.require("dijit.Toolbar");

dojo.require("ibm.psw.wcl.dijit.WDTableSearchField");

dojo.provide("ibm.psw.wcl.dijit.WDTableToolbar");

/******************************************************************************
* A dijit.Toolbar and a WTableSearchField combined into one.
*
* Authors: Joseph Firebaugh
******************************************************************************/
dojo.declare("ibm.psw.wcl.dijit.WDTableToolbar",
            [ dijit._Widget, dijit._Templated ],
{
  widgetsInTemplate: true,
  
  templateString:"<table border=\"0\" cellpadding=\"0\" cellspacing=\"0\" class=\"WDTableToolbarArea\">\n<tr>\n\t<td width=\"45%\">\n\t<div dojoType=\"dijit.Toolbar\" dojoAttachPoint=\"toolbar\" class=\"tableToolbarArea\"></div>\n</td>\n<td width=\"12%\">\n\t<div dojoType=\"dijit.Toolbar\" dojoAttachPoint=\"tableDropDown\" class=\"tableToolbarArea\"></div>\n</td>\n<td width=\"15%\"></td>\n<td width=\"28%\" align=\"right\">\n\t<div dojoType=\"ibm.psw.wcl.dijit.WDTableSearchField\" dojoAttachPoint=\"searchField\"></div>\n</td>\n</tr>\n</table>\n",
  
  getToolbar: function()
  {
    return this.toolbar;
  },
  destroy: function()
  {
  	 //console.debug("destroy toolbar");	
	 var widgetArr = this.toolbar.getChildren();
	 //console.debug("child widgets in toolbar:"+widgetArr);
	 dojo.forEach(widgetArr, function(child){
	    child.destroyRecursive();
	 });
  	//this.searchField.destroy();
  	//this.toolbar.destroy();
  	
  	this.inherited( arguments );
  }    
});

}
