/*
	Copyright (c) 2004-2009, The Dojo Foundation All Rights Reserved.
	Available via Academic Free License >= 2.1 OR the modified BSD license.
	see: http://dojotoolkit.org/license for details
*/


if(!dojo._hasResource["ibm.psw.wcl.dijit.WDataGrid"]){ //_hasResource checks added by build. Do not use _hasResource directly in your code.
dojo._hasResource["ibm.psw.wcl.dijit.WDataGrid"] = true;
dojo.provide("ibm.psw.wcl.dijit.WDataGrid");

dojo.require("dojox.grid.DataGrid");
dojo.require("ibm.psw.wcl.dijit.WDIndirectSelection");


dojo.declare("ibm.psw.wcl.dijit.WDataGrid", 
			  dojox.grid.DataGrid,
{
	selectCol: null,
	indirectSelection: null,
	loadCompleteCallback: null,
	//totalRows: 0,
	
	postCreate: function(){
		if(this.selectCol){
			this.indirectSelection = new ibm.psw.wcl.dijit.WDIndirectSelection(this);
		}
		
		this.inherited(arguments);
	},
	
   	setLoadCompleteCallback: function(aFunction){
        this.loadCompleteCallback = aFunction;
    },

	_onFetchComplete: function (items, req) {
		this.inherited (arguments);
		
		//this.totalRows = (items.numRows) ? items.numRows : items.length;
		
		if (this.loadCompleteCallback) {
		    this.loadCompleteCallback();
		}
	},
	
	getTotalRows: function () {
		return (this.rowCount);
	},
	
	/*Overriding onRowClick and onCellClick grid events in order to make WCL editable table work
	  Not required for dojo based editable table.*/
	 onCellClick: function(e){
		// summary:
		//		Event fired when a cell is clicked.
		// e: Event
		//		Decorated event object which contains reference to grid, cell, and rowIndex
		this._click[0] = this._click[1];
		this._click[1] = e;
		/*if(!this.edit.isEditCell(e.rowIndex, e.cellIndex)){
			this.focus.setFocusCell(e.cell, e.rowIndex);
		}*/
		this.onRowClick(e);
	},
	onRowClick: function(e){
		// summary:
		//		Event fired when a row is clicked.
		// e: Event
		//		Decorated event object which contains reference to grid, cell, and rowIndex
		this.edit.rowClick(e);
		//this.selection.clickSelectEvent(e);
	}
	
});

}
