dojo.require("dijit.Dialog");
dojo.require("ibm.psw.wcl.dojo.Server");

dojo.provide("ibm.psw.wcl.wdojocomp.WSecondaryWindow");

dojo.declare("ibm.psw.wcl.wdojocomp.WSecondaryWindow",
			 dijit.Dialog,
			 {	
			 	dialogID:null,
			 	model: null,
			 	isModel: true,
			 	width: null,
			 	height: null,
			 	requestTimeout: 30000,
		 	
			 	postCreate: function (){
				 	
				 	this.initSecondaryWindowParams();
				 	this.inherited(arguments);
				 	var parent = this.domNode.parentNode;
				 	parent.appendChild(this.domNode);
				 	this.closeButtonNode.style.display = "none";	
				 					 					      				
				 },
			 
			 	initSecondaryWindowParams: function() {
			 		if((this.width != null) && (this.height != null)){
			 		
			 			
						var viewport = dijit.getViewport();
						if(this.width >= viewport.w || this.height >= viewport.h){
							dojo.style(this.domNode, {
								width: Math.min(this.width, Math.floor(viewport.w * 0.75))+"px",
								height: Math.min(this.height, Math.floor(viewport.h * 0.75))+"px",
								overflow: "auto",
								position: "relative"	// workaround IE bug moving scrollbar or dragging dialog
							});
						}else{
							dojo.style(this.domNode, {
							width: this.width,
							height: this.height,
							overflow: "auto",
							position: "relative"
							});
							var mb = dojo.marginBox(this.domNode);
							}
			 		}else{
			 			var mb = dojo.marginBox(this.domNode);
						var viewport = dijit.getViewport();
						
						if(mb.w >= viewport.w || mb.h >= viewport.h){
							dojo.style(this.domNode, {
								width: Math.min(mb.w, Math.floor(viewport.w * 0.75))+"px",
								height: Math.min(mb.h, Math.floor(viewport.h * 0.75))+"px",
								overflow: "auto",
								position: "relative"	// workaround IE bug moving scrollbar or dragging dialog
							});
						}
						
			 		}
			 	
			 	},
			 	startup: function() {
					
					this.makeSecondaryWindow();
					
					this.inherited(arguments);
				},
				
			 	makeSecondaryWindow: function() {
			 		this.getContent();
			 		
			 	},
			 	getContent: function(){
			 		
			 	},
			 	execute: function( arguments){
			 		var dialogFields = this.getDialogJSONObj(arguments);
			 		this.updateParent(dialogFields);
			 	},
			 	
			 	updateParent: function( dialogFields){
			 		
				 	
				 },
				 
				 
				 getDialogJSONObj: function(arguments){
				 	var JSONDialogFields = null
				 	
				 	if(arguments != null){
				 		JSONDialogFields = dojo.toJson(arguments, true);
				 		
				 	}
				 	
				 	return JSONDialogFields;
				 },
				 
				 updateParentCallback: function(response,ioArgs){
				 	
				 	updateParent(response);
				 }
			 
			 
			 
			 }
			 
			 
			 );
